Support » Fixing WordPress » Uploaded new 3.0 and now I cannot access my blog

  • Hi,

    I auto-upgraded to 3.0 and now I cannot access my blog at all. I get this message:
    Fatal error: Call to a member function add_rewrite_tag() on a non-object in /home/content/27/5251927/html/wow101/wp-includes/taxonomy.php on line 289

    I contacted my host which is GoDaddy but they do not know what to do. HELP! PLEASE!

Viewing 15 replies - 1 through 15 (of 19 total)
  • Try renaming the “plugins” folder to “plugins1”. This should quickly disable all of your plugins. Then try to access the site again – if you now have access – you can change the name of the folder back to “plugins” to make them operational again.

    Your work should still be in the database.

    I did what you advised. The 3.0 is installed and I now have access to my wow101 site…When I went back to GoDaddy and then changed the file name back to PLUGINS…the same thing happened as before…same errror message…..

    ok – then you have to disable the plugins through phpMyAdmin, unless you have a plugin that you know of that deals with categories or tags. You could just delete or change the name of that plugin only.

    If not you have to access PHPMyAdmin and follow the steps found here to disable all of the plugins through the database.

    Note – You may have to change the query from wp_options to wp_1_options if you’re using multi-site.

    Moderator James Huff

    (@macmanx)

    Follow this guide to reset your plugins:

    http://codex.wordpress.org/FAQ_Troubleshooting#How_to_deactivate_all_plugins_when_not_able_to_access_the_administrative_menus.3F

    Once that is done, upgrade the Podcasting Plugin by TSG to 2.3.10 before reactivating it.

    OK Thank you very much. I ll take a break and try it again in a while. I really appreciate all your help. I ll let you know how it all works out.

    OK. its done and it works BUT now its seems my SimpleFacebookConnect is not working….I get this message:
    Facebook doesn’t like your settings, it says: Invalid API key.

    With the 3.0 I can’t see where I can get this info. There is all the info there from before I uploaded 3.0 but seems it is not correct.
    ANy suggestions, please.

    Well it happened again. I was on my blog and wanted to activate my Shopping Cart plugin…got this message again:

    Fatal error: Call to a member function add_rewrite_tag() on a non-object in /home/content/27/5251927/html/wow101/wp-includes/taxonomy.php on line 289

    Now I cannot access my blog! OMG!!!! How can I uninstall this WP 3.0? Its really a huge headache!

    Please let me know how? THanks so much,

    esmi

    (@esmi)

    Forum Moderator

    Reset the plugins folder by FTP or phpMyAdmin. Once the site is up again, activate the plugins ONE AT A TIME checking the site (front end and back) thoroughly after each re-activation.

    Be prepared for the site to fall down again when you activate a problematic plugin. As soon as this happens, delete that plugin’s folder using FTP (or whatever file management application your host provides). DO NOT try to re-install that plugin. Look for an alternative or wait until it has been upgraded.

    I upgraded to 3 now i cannot save a post
    please help

    OK I did that. Now, I get this message when I try to activate the FacebookSimple Connect:
    Facebook doesn’t like your settings, it says: Invalid API key.

    It shows my previous API keys but looks like its not correct?

    @towahead – start a new thread.

    @wow101 – there have been facebook issues, but I’d suggest starting a new thread for issues with that plugin.

    OK thank you. I’m wondering, perhaps it would be easier if I went back to the old version. Is this possible? Then I can wait till all the bugs are out.
    Please let me know if this is possible or is it too late since I ve installed 3.0?
    If I can unistalled it, how do I do this? Thank you.
    I ll wait for your answer to this before I start another thread regarding Facebook.

    I would not recommend trying to revert back. I personally wouldn’t even attempt it.

    i think i’ll wait till version 3 is stable

    This has already messed up one of our sites….
    Won’t be upgrading any others until this issue is fixed.

    Many people seem to be having major headaches with 3.0

Viewing 15 replies - 1 through 15 (of 19 total)
  • The topic ‘Uploaded new 3.0 and now I cannot access my blog’ is closed to new replies.